[arch-commits] Commit in id3lib/trunk (PKGBUILD id3lib-3.8.3-gcc-4.3.patch)

Eric Belanger eric at archlinux.org
Sun May 25 20:08:08 EDT 2008


    Date: Sunday, May 25, 2008 @ 20:08:08
  Author: eric
Revision: 2129

upgpkg: id3lib 3.8.3-10
    patched for gcc 4.3 (close FS#10309)

Added:
  id3lib/trunk/id3lib-3.8.3-gcc-4.3.patch
Modified:
  id3lib/trunk/PKGBUILD

----------------------------+
 PKGBUILD                   |   13 +++---
 id3lib-3.8.3-gcc-4.3.patch |   83 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-05-26 00:06:07 UTC (rev 2128)
+++ PKGBUILD	2008-05-26 00:08:08 UTC (rev 2129)
@@ -3,7 +3,7 @@
 # Contributor: Jochem Kossen <j.kossen at home.nl>
 pkgname=id3lib
 pkgver=3.8.3
-pkgrel=9
+pkgrel=10
 pkgdesc="An open-source, cross-platform software development library for reading, writing, and manipulating ID3v1 and ID3v2 tags"
 arch=(i686 x86_64)
 license=('LGPL')
@@ -12,17 +12,18 @@
 options=('!libtool')
 source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz
 	patch_id3lib_3.8.3_UTF16_writing_bug.diff
-	id3lib-3.8.3-CVE-2007-4460.patch)
-md5sums=('19f27ddd2dda4b2d26a559a4f0f402a7'
-         '196c65adee1ba511ddacef2de0dfd102'
-         '78e90e15ddd1122b66da352b6c3b00ff')
+	id3lib-3.8.3-CVE-2007-4460.patch
+	id3lib-3.8.3-gcc-4.3.patch)
+md5sums=('19f27ddd2dda4b2d26a559a4f0f402a7' '196c65adee1ba511ddacef2de0dfd102'\
+         '78e90e15ddd1122b66da352b6c3b00ff' 'fdbffd2d9d289ed0d730950c78d4ebc4')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
   patch -Np1 -i ${startdir}/src/patch_id3lib_3.8.3_UTF16_writing_bug.diff || return 1
   patch -Np0 -i ${startdir}/src/id3lib-3.8.3-CVE-2007-4460.patch || return 1
+  patch -Np1 -i ${startdir}/src/id3lib-3.8.3-gcc-4.3.patch || return 1
   ./configure --prefix=/usr
-  sed -i -e 's/^LIBS =/LIBS = -lz -lstdc++/' src/Makefile
+  sed -i -e 's/^LIBS =/LIBS = -lz -lstdc++/' src/Makefile || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install
 }

Added: id3lib-3.8.3-gcc-4.3.patch
===================================================================
--- id3lib-3.8.3-gcc-4.3.patch	                        (rev 0)
+++ id3lib-3.8.3-gcc-4.3.patch	2008-05-26 00:08:08 UTC (rev 2129)
@@ -0,0 +1,83 @@
+diff -Naur id3lib-3.8.3-orig/configure id3lib-3.8.3/configure
+--- id3lib-3.8.3-orig/configure      2008-05-24 23:39:36.000000000 -0400
++++ id3lib-3.8.3/configure   2008-05-24 23:39:57.000000000 -0400
+@@ -10296,8 +10296,7 @@
+ 
+ for ac_header in \
+   string                        \
+-  iomanip.h                     \
+ 
+ do
+ as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+ 
+diff -Naur id3lib-3.8.3-orig/include/id3/id3lib_strings.h id3lib-3.8.3/include/id3/id3lib_strings.h
+--- id3lib-3.8.3-orig/include/id3/id3lib_strings.h	2008-03-05 18:19:46.000000000 -0600
++++ id3lib-3.8.3/include/id3/id3lib_strings.h	2008-03-05 18:19:38.000000000 -0600
+@@ -30,6 +30,7 @@
+ #define _ID3LIB_STRINGS_H_
+ 
+ #include <string>
++#include <cstring>
+ 
+ #if (defined(__GNUC__) && (__GNUC__ >= 3) || (defined(_MSC_VER) && _MSC_VER > 1000))
+ namespace std
+diff -Naur id3lib-3.8.3-orig/include/id3/writers.h id3lib-3.8.3/include/id3/writers.h
+--- id3lib-3.8.3-orig/include/id3/writers.h	2003-03-01 18:23:00.000000000 -0600
++++ id3lib-3.8.3/include/id3/writers.h	2008-03-05 18:23:05.000000000 -0600
+@@ -30,7 +30,7 @@
+ 
+ #include "id3/writer.h"
+ #include "id3/id3lib_streams.h"
+-//#include <string.h>
++#include <string.h>
+ 
+ class ID3_CPP_EXPORT ID3_OStreamWriter : public ID3_Writer
+ {
+diff -Naur id3lib-3.8.3-orig/examples/demo_convert.cpp id3lib-3.8.3/examples/demo_convert.cpp
+--- id3lib-3.8.3-orig/examples/demo_convert.cpp	2003-03-01 18:23:00.000000000 -0600
++++ id3lib-3.8.3/examples/demo_convert.cpp	2008-03-05 18:26:50.000000000 -0600
+@@ -84,7 +84,7 @@
+   }
+ }
+ 
+-int main( unsigned int argc, char * const argv[])
++int main( int argc, char * const argv[])
+ {
+   flags_t ulFlag = ID3TT_ALL;
+   gengetopt_args_info args;
+diff -Naur id3lib-3.8.3-orig/examples/demo_info.cpp id3lib-3.8.3/examples/demo_info.cpp
+--- id3lib-3.8.3-orig/examples/demo_info.cpp	2003-03-01 18:23:00.000000000 -0600
++++ id3lib-3.8.3/examples/demo_info.cpp	2008-03-05 18:27:40.000000000 -0600
+@@ -309,7 +309,7 @@
+ 
+ #define DEBUG
+ 
+-int main( unsigned int argc, char * const argv[])
++int main( int argc, char * const argv[])
+ {
+   ID3D_INIT_DOUT();
+ 
+diff -Naur id3lib-3.8.3-orig/examples/demo_tag.cpp id3lib-3.8.3/examples/demo_tag.cpp
+--- id3lib-3.8.3-orig/examples/demo_tag.cpp	2003-03-01 18:23:00.000000000 -0600
++++ id3lib-3.8.3/examples/demo_tag.cpp	2008-03-05 18:31:20.000000000 -0600
+@@ -46,7 +46,7 @@
+     os << "v2";
+ }
+ 
+-int main( unsigned int argc, char * const argv[])
++int main( int argc, char * const argv[])
+ {
+   int ulFlag = ID3TT_ID3;
+   ID3D_INIT_DOUT();
+diff -Naur id3lib-3.8.3-orig/examples/demo_copy.cpp id3lib-3.8.3/examples/demo_copy.cpp
+--- id3lib-3.8.3-orig/examples/demo_copy.cpp	2003-03-01 18:23:00.000000000 -0600
++++ id3lib-3.8.3/examples/demo_copy.cpp	2008-03-05 18:32:44.000000000 -0600
+@@ -81,7 +81,7 @@
+   }
+ }
+ 
+-int main( unsigned int argc, char * const argv[])
++int main( int argc, char * const argv[])
+ {
+   int ulFlag = ID3TT_ID3;
+   ID3D_INIT_DOUT();





More information about the arch-commits mailing list